package it.polimi.ingsw.gc14.Model.Cards.TribeCards.Characters;

import it.polimi.ingsw.gc14.Model.Cards.TribeCards.Character;
import it.polimi.ingsw.gc14.Model.Cards.TribeCards.CharacterType;
import it.polimi.ingsw.gc14.Model.Player;

public class Artist extends Character {

    /**
     *
     * param Era artist era
     */
    public Artist(int Era) {
        super(Era, CharacterType.ARTIST);
    }
    public Artist(int Era,int nMin) {
        super(Era, CharacterType.ARTIST,nMin);
    }

    public Artist(Artist copy){
        this(copy.getEra());
    }
    @Override
    public String toString() {
        return super.toString();
    }

    @Override
    public Character clone() {
        return new Artist(getEra());
    }

    @Override
    public void insert(Player player) {
        player.artists.add(this);
    }

}

